Mautic Community Forums

Post requests to hubspot return HTTP 400 error

Your software
My Mautic version is: 4.0.1
My PHP version is: 7.4.24
My Database type and version is:
|Version|5.7.35|
|Doctrine driver|pdo_mysql|
|Doctrine database platform (automatically detected)|Doctrine\DBAL\Platforms\MySQL57Platform|

Your problem
My problem is:

In the mautic-hubspot integration, the post requests do not go through in hubpot and this error pops up.

Can anyone help solve this HTTP400 error ?

Thank you.

Thanks for writing this up, could you clarify if this started happening with the 4.0.1 update or if you have just started getting this set up?

Hi, thanks for you reply. I did not test it with prior version. Just installed 4.0.0 and then automatically updated to 4.0.1.

OK great - I’ll have a look and see if I can confirm the issue later today.

Cool. To reproduce this, just add a push to integration (hubspot) action in a campaign after connecting the plugin. The second way to reproduce is to create a landing page with a form that asks for name and email. Then add a push to integration action.

Both scenarios get the same error in hubspot.

1 Like

OK great, looking into it now! :slight_smile:

@radu how did you get around the Guzzle error when triggering the command? Just raised a bug about that issue.

@rcheesley unfortunately I didn’t get around it. It’s still there.